Bring TYTD Back
===============

I wanted to bring [TYTD](https://gitea.site.tesses.net/tesses50/tytd) back so I did somewhat

This project requires [tytd-cli](https://gitea.site.tesses.net/tesses50/tytd-cli-cpp) to be installed on a ssh (password protected server, could use private key if you modify Program.cs async Task AddVideo), the tytd-cli must be installed on PATH

To Configure you must add a file called Creds.priv.cs with the following content

```cs
    public static partial class Creds
    {
        static string _ip = "YOUR_SSH_SERVER";
        static string _username = "YOUR_SSH_USERNAME";
        static string _password = "YOUR_SSH_PASSWORD";
        static string _dir = "YOUR_SSH_PATH";
    }
```

# WITHOUT DOCKER
then compile the project using
```bash
    dotnet publish -c Release -o out --self-contained -r linux-x64 -p:PublishSingleFile=true -p:PublishReadyToRun=true
```
then copy wwwroot to out

# WITH DOCKER
```bash
    docker build -t bring-tytd-back:latest .
    docker run -p 3252:3252 -d bring-tytd-back:latest
```